Subject: Re: bug#32829: 26.1; Make hi-lock-face-defaults customizable

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 20:16:00 +0100

Allen Li <[email-masked]> writes:

> It think that `hi-lock-face-defaults` would benefit from being
> made customizable.  Since the user can customize Emacs's theme and
> faces, the user should also be able to customize `hi-lock-face-defaults`
> so that the highlight faces work well with their customized color theme.

I don't see any reason why not, so I've now done so in Emacs 29.

Juri Linkov <[email-masked]> writes:

>> It think that `hi-lock-face-defaults` would benefit from being
>> made customizable.  Since the user can customize Emacs's theme and
>> faces, the user should also be able to customize `hi-lock-face-defaults`
>> so that the highlight faces work well with their customized color theme.
>
> I think the problem of hi-lock-face-defaults is its too limited palette.
>
> Wouldn't it be more easy to define a palette of colors rather than faces?

That would be even better -- this probably shouldn't be face-based at
all, but use colours.

But perhaps some people like to use, like, italics and bolds for this,
in which case faces are more flexible.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no